function Y=GetPow(X,A)
% Знаходження значення степеневої функції з коефіцієнтами в матриці A для аргументу X
% Аргументи:
%   A - коефіцієнти функції
%   X - аргументи (вектор-рядок)
% Результати:
%   RES - значення функції
% Обмеження:
%   1) аргументи слідують у порядку A(2)*(A(4)*f(x)+A(3))+A(1)
%                                   f(x)=A(5)*x^A(6)+A(7)

% зміщуємо по осі абсцис
X=X-A(3);

% масштабуємо по осі абсцис
X=X/A(4);

% обраховуємо f(x)
Y=X.^A(6);
Y=X*A(5);
Y=X+A(7);
